Skip to main content

createDeploy

Create Deploy

createDeploy(
input: CreateDeployInput!
): CreateDeployPayload

Arguments​

createDeploy.input ● CreateDeployInput! non-null input​

Parameters for CreateDeploy

Type​

CreateDeployPayload object​

Autogenerated return type of CreateDeploy.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateDeploy($input: CreateDeployInput!) {\n createDeploy(input: $input) { clientMutationId deploy { id status branchName } }\n}","variables":{"input":{"assetId":"<asset_id>","diffContent":"<Upload>","previousCommit":"example","currentCommit":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute